Bug 1090913 - Default timezone is US/Eastern and not UTC
Default timezone is US/Eastern and not UTC
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kubic
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Richard Brown
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-25 14:47 UTC by Thorsten Kukuk
Modified: 2018-05-14 09:03 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Kukuk 2018-04-25 14:47:42 UTC
The default timezone for openSUSE Kubic is now US/Eastern and no longer UTC.
Comment 1 Richard Brown 2018-05-08 15:21:07 UTC
YaST Team, I need your help with this one - I've tried to figure it out for myself, but I'm at a loss

The problem in a nutshell

We want Kubic to be using UTC by default unless the user customises it explicitly

If we use the regular control.xml parameter "timezone_readonly", then the user cannot customise their timezone.

If we disable that parameter, then Kubic immediately inherits it's timezone from the selected locale

Meaning the default timezone becomes US/Eastern because the default language is English US

Is there any way of disabling the automatic selection of timezone based on language choice?
Comment 2 Richard Brown 2018-05-08 16:33:47 UTC
experimenting with my own potential fix - will report back if it doesn't work and really needs YaST team time.
Comment 3 Richard Brown 2018-05-14 09:03:30 UTC
Well what do you know, experiments worked.

bug fixed in latest snapshot